Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRTemplateGenericElement

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRTemplateElement
          net.sf.jasperreports.engine.fill.JRTemplateGenericElement

All Implemented Interfaces:
  java.io.Serializable, JRCommonElement, JRPropertiesHolder, JRStyleContainer

    public class JRTemplateGenericElement

extends JRTemplateElement

Generic print element information shared by multiple elements.

Version:
  $Id: JRTemplateGenericElement.java 3206 2009-11-20 16:11:29Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JRTemplateGenericPrintElement`, Serialized Form

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement
`defaultStyleProvider, origin, parentStyle`

Constructor Summary
`` | `JRTemplateGenericElement(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider, JRElement element, JRGenericElementType genericType)` Creates a generic print element template.
`protected` | `JRTemplateGenericElement(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider, JRGenericElement element)`
`` | `JRTemplateGenericElement(JROrigin origin, JRDefaultStyleProvider defaultStyleProvider, JRGenericElementType genericType)` Creates a generic print element template.

Method Summary
`JRGenericElementType` | `getGenericType()` Returns the type of the generic elements that use this template.
`void` | `setGenericType(JRGenericElementType genericType)` Sets the type of the generic elements that use this template.

Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement
`getBackcolor, getBaseStyle, getDefaultStyleProvider, getForecolor, getHeight, getId, getKey, getMode, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPropertiesMap, getStyle, getStyleNameReference, getWidth, hasProperties, setBackcolor, setElement, setForecolor, setKey, setMode, setMode, setMode, setStyle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRTemplateGenericElement

    protected JRTemplateGenericElement(JROrigin origin,
                                       JRDefaultStyleProvider defaultStyleProvider,
                                       JRGenericElement element)

### JRTemplateGenericElement

    public JRTemplateGenericElement(JROrigin origin,
                                    JRDefaultStyleProvider defaultStyleProvider,
                                    JRGenericElementType genericType)

  Creates a generic print element template.

  Parameters:
    `origin` - the origin of the elements that will use the template
    `defaultStyleProvider` - the style provider to be used for the elements
    `genericType` - the type of the generic elements

### JRTemplateGenericElement

    public JRTemplateGenericElement(JROrigin origin,
                                    JRDefaultStyleProvider defaultStyleProvider,
                                    JRElement element,
                                    JRGenericElementType genericType)

  Creates a generic print element template.

  Parameters:
    `origin` - the origin of the elements that will use the template
    `defaultStyleProvider` - the style provider to be used for the elements
    `element` - an element to copy basic elements from
    `genericType` - the type of the generic elements

Method Detail

### getGenericType

    public JRGenericElementType getGenericType()

  Returns the type of the generic elements that use this template.

  Returns:
    the type of the generic elements

### setGenericType

    public void setGenericType(JRGenericElementType genericType)

  Sets the type of the generic elements that use this template.

  Parameters:
    `genericType` - the generic type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com